package be.iminds.ilabt.jfed.experimenter_gui.slice.espec.view;

import be.iminds.ilabt.jfed.experimenter_gui.slice.espec.model.ESpecLogModel;
import javafx.scene.control.Tab;
import javafx.scene.layout.HBox;
import javafx.scene.layout.Pane;
import javafx.scene.layout.VBox;
import org.controlsfx.glyphfont.FontAwesome;
import org.controlsfx.glyphfont.GlyphFont;
import org.controlsfx.glyphfont.GlyphFontRegistry;

public class ESpecTab extends Tab {
    private static final GlyphFont fontAwesome = GlyphFontRegistry.font("FontAwesome");
    private final ESpecLogModel eSpecLogModel;

    public ESpecTab(ESpecLogModel eSpecLogModel) {
        this.eSpecLogModel = eSpecLogModel;
        setText("ESpec");
        setGraphic(fontAwesome.create(FontAwesome.Glyph.FLASK));
        setClosable(false);

        Pane content = new VBox();
        content.getChildren().addAll(new ESpecStateList(eSpecLogModel), new ESpecLogList(eSpecLogModel));
        setContent(content);
    }
}
